# $Revision: 1.13 $, $Date: 2001/09/04 13:39:41 $
Summary:	GNOME 3D Tetris game
Name:		gno3dtet
Version:	1.6.4
Release:	2
License:	GPL
Vendor:		Sebastien Nicoud <snicoud@home.com>
Group:		X11/Applications/Games
Group(de):	X11/Aplikacje/Spiele
Group(pl):	X11/Aplikacje/Gry
Source0:	ftp://webdat.com/pub/seb/gno3dtet/%{name}-%{version}.tgz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-desktop.patch
URL:		http://webdat.com/seb/3dtetris.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
Prereq:		fileutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_localstatedir	/var

%description
gno3dtet is a 3D Tetris-like game for GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
libtoolize --copy --force
aclocal -I %{_aclocaldir}/gnome
autoconf
rm -f missing
automake -a -c
%configure
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Gamesdir=%{_applnkdir}/Games

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch %{_localstatedir}/games/gno3dtet.hof
chmod 664 %{_localstatedir}/games/gno3dtet.hof
chown games.root %{_localstatedir}/games/gno3dtet.hof

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gno3dtet
%{_datadir}/sounds/gno3dtet
%{_pixmapsdir}/gno3dtet.png
%{_applnkdir}/Games/gno3dtet.desktop
%attr(664,root,games) %ghost %{_localstatedir}/games/gno3dtet.hof

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gno3dtet.spec,v $
Revision 1.13  2001/09/04 13:39:41  kloczek
- release 2,
- added desktop patch with fix Icon file patch in desktop file.

Revision 1.12  2001/05/06 23:15:06  kloczek
- updated to 1.6.4 and make libtool hapy.

Revision 1.11  2001/04/19 04:09:21  kloczek
- updated to 1.6.3.

Revision 1.10  2001/04/04 08:33:07  kloczek
- regenerate am/ac files.

Revision 1.9  2001/04/04 08:25:37  kloczek
- release 2,
- fix: removed "Prereq: touch".

Revision 1.8  2001/01/02 17:56:35  kloczek
- fixed %clean.

Revision 1.7  2001/01/02 17:52:58  kloczek
- updated to 1.6.1,
- added %post script with prepare correct score file marked in %files as
  %ghost,
- added DESTDIR patch and fix typo in %install,
- updated %files and Vendor field,
- Group changed to X11/Applications/Games.

Revision 1.6  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.5  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/06/05 04:37:26  kloczek
- updated to 1.6.0 but still not compiles.

Revision 1.3  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.2  2000/04/18 22:01:05  kloczek
- completly rewrited (and finished) but current version not compiles
  correctly.
